<?php
//Ao voltar do form a pk será enviado via post
if (isset($_POST['pk']))
{
    $pk = $_POST['pk'];
}
//pelo include será pego o pk já definido no arquivo anterior
if ($pk != '')
{
    require_once './Control/ControlProduto.php';
    require_once './Util/Utilidades.php';
    $controlProduto = new ControlProduto();
    $produtoDescricao = $controlProduto->pegarTodosProdudoDescricaoporProduto($pk);
    $ar = Utilidades::OrdenarArray($produtoDescricao->allToArray(), 'nome');
    $arquivoForm = 'adm_produtoDescricaoForm.php';
    ?>
    <button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#divDescricao','acao=inserir&lang=ptbr&pk=<?php echo $pk?>');">Novo registro</button>
    <table class="datatable" id="gridDescricao">
        <thead>
            <tr>
                <?php
                $ColNomes = '<th>Nome</th><th>Valor</th><th></th>';
                echo $ColNomes;
                ?>
            </tr>
        </thead>
        <tbody>
            <?php
            foreach ($ar as $key => $row) {
                $pk = $row['produtodescricaoid'];
                $nome = $row['nome'];
                echo '<tr class="gradeA" id="descricaoID_' . $pk .'">';
                echo '<td>' . $row['nome'] . '</td>';
                echo '<td>' . $row['valor'] . '</td>';
                echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#divDescricao\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
                echo '</tr>';
            }
            ?>
        </tbody>
        <tfoot><?php echo $ColNomes?></tfoot>
    </table>
    <script>
        iniciarDataTable('#gridDescricao');
    </script>
    <?php
            FormAjax::ExcluirRegistro('adm_produtoDescricaoCMD.php');
    ?>
<?php
} else
{
    echo '<p>Salve o produto antes de inserir especificações ao produto.</p>';
}
?>